# Interface methods for submodule: MaskFeaturePointSelectionFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: MaskFeaturePointSelectionFilter
class MaskFeaturePointSelectionFilterProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def GetOutput(self):
		""""""
		...

	@overload
	def GetOutput(self, idx: int):
		""""""
		...

	def SetOutput(self, output) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, graft) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, key: str, graft) -> None:
		""""""
		...

	def GraftNthOutput(self, idx: int, graft) -> None:
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

	@overload
	def SetInput(self, idx: int, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def SetNonConnectivity(self, _arg: int) -> None:
		""""""
		...

	def GetNonConnectivity(self) -> int:
		""""""
		...

	def SetMaskImage(self, _arg) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetBlockRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetBlockRadius(self) -> Sequence[int]:
		""""""
		...

	def SetComputeStructureTensors(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeStructureTensors(self) -> bool:
		""""""
		...

	def ComputeStructureTensorsOn(self) -> None:
		""""""
		...

	def ComputeStructureTensorsOff(self) -> None:
		""""""
		...

	def SetSelectFraction(self, _arg: float) -> None:
		""""""
		...

	def GetSelectFraction(self) -> float:
		""""""
		...

